
/*
 * dc1000 0.5b (2000-07-02)
 *
 * Copyright (C) Fredrik Roubert <roubert@df.lth.se>
 *
 */


/*
 * This is a demo program to show how the class BeDSC can be used to
 * easily access the digital cameras supported by dc1000 in BeOS.
 *
 */


#include <stdio.h>
#include "BeDSC.h"

int main(int argc, char *argv[])
{
	BeDSC		dsc;
	int		n, i;
	dsc_quality_t	buf[DSCMAXIMAGE];

	if (dsc.Open("/dev/ports/serial1", B_38400_BPS) == B_ERROR)
	{
		printf("dsc.Open(): %s\n", dsc.ErrorString());
		return 1;
	}

	sleep(DSCPAUSE);

	if ((n = dsc.GetIndex(buf)) == -1)
	{
		printf("dsc.GetIndex(): %s\n", dsc.ErrorString());
		if (dsc.Close() == B_ERROR)
			printf("dsc.Close(): %s\n", dsc.ErrorString());
		return 1;
	}

	printf("\nTotal %i images.\n", n);

	for (i = 0; i < n; i ++)
	{
		printf("\nImage %02u", i + 1);
		switch (buf[i])
		{
			case unavailable:
				break;

			case normal:
				printf(": Normal");
				break;

			case fine:
				printf(": Fine");
				break;

			case superfine:
				printf(": Super fine");
				break;
		}
	}
	printf("\n\n");

	if (dsc.Close() == B_ERROR)
	{
		printf("dsc.Close(): %s\n", dsc.ErrorString());
		return 1;
	}

	return 0;
}

